#pragma once
#include "GameObject3D.h"
#include "MovementLogic.h"
#include "vector.h"


class LineOfSightIntercepting :
    public MovementLogic
{
public:
    LineOfSightIntercepting();
    LineOfSightIntercepting(GameObject3D* pHostCraft, const GameObject3D& preyObject);
    ~LineOfSightIntercepting(void);

    void SetPreyObject(const GameObject3D& preyObject);
    void SetHostObject(GameObject3D* hostObject);
    void Cycle(float deltaMs);
    void Draw();

    const GameObject3D* m_pPrey;
    
    CPos predictedPosition;         //TEMP
    CVector closingVelocityVector;  // TEMP
    CVector range;                  // TEMP
    CVector targetVector;           // TEMP

    static const float TOLERANCE;   
};
